> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_call

> Execute a call without creating a transaction.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x00000000000000000000000000000000000000000000000000601d8888141c00"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/ethcall.json GET /v2/api
openapi: 3.1.0
info:
  title: eth_call
  version: 2.0.0
  description: Execute a call without creating a transaction.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: eth_call
      description: Execute a call without creating a transaction.
      operationId: getEthcall
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to proxy for this endpoint.
          schema:
            type: string
            default: proxy
          example: proxy
        - name: action
          in: query
          required: true
          description: Set to eth_call for this endpoint.
          schema:
            type: string
            default: eth_call
          example: eth_call
        - name: to
          in: query
          required: true
          description: The address to interact with.
          schema:
            type: string
          example: '0xAEEF46DB4855E25702F8237E8f403FddcaF931C0'
        - name: data
          in: query
          required: false
          description: Hash of the method signature and encoded parameters.
          schema:
            type: string
          example: >-
            0x70a08231000000000000000000000000e16359506c028e51f16be38986ec5746251e9724
        - name: tag
          in: query
          required: false
          description: Use latest, earliest, pending, or a block number in hex.
          schema:
            type: string
          example: latest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    description: JSON-RPC protocol version.
                  id:
                    type: integer
                    description: Request identifier, echoed back from the request.
                  result:
                    type: string
                    description: Return value of the executed call, as a hex string.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````